Subject: [bug#55538] [PATCH] gnu: virtuoso-ose: Update to 7.2.7.

From: Roel Janssen <[email-masked]>
Date: Wed, 25 May 2022 17:51:27 +0200

On Wed, 2022-05-25 at 10:29 -0400, Maxim Cournoyer wrote:
> Hi Roel,
> 
> Roel Janssen <[email-masked]> writes:
> 
> > Dear Guix,
> > 
> > I'd like to update Virtuoso OSE to the latest release (see attached patch).
> > 
> > Other than the version number and checksum bump I noticed that some JAR files made it in the
> > build
> > output.  I tried removing them from the source tarball using a snippet, but then one needs to
> > include a patch for various Makefile.am files and run the autogen.sh script.  I thought this was
> > simpler and clearer on what's actually achieved.
> 
> I fear in the future it would be easy to overlook the introduction of
> extra bundled jars in the source, that'd get installed.  I feel it'd be
> preferable if we removed them all from a source snippet, at the cost of
> having to patch the build system (the extra complications you
> mentioned).
> 
> Could you try it and send a revised patch?
> 

Thank you for taking a look at it! To be fair, what the patches would do, would be to avoid
including the directories that I remove. So removing the current pre-built binaries in a snippet
will be equally error-prone.

But I agree that you would preferably want to have a source tarball without pre-built binaries in it
when running `guix build -S virtuoso-ose`.

A naive patch leads to the build getting stuck, so I need to investigate the impact further.
I'll report back when I have adapted the patch.

THank you again for your time!

Kind regards,
Roel Janssen